import { Identifiable, Student } from "@/data";
import { Transformer } from "@/serialization";

export interface StudentDTO extends Identifiable {
    albumNumber: number,
    course: any,
    email: string,
    firstName: string,
    lastName: string,
    semester: number,
}

export const studentDtoTransfer: Transformer<StudentDTO, Student> = {
    reverseTransform(subject: Student, context: undefined): StudentDTO {
        return {
            albumNumber: subject.albumNumber,
            course: subject.course,
            email: subject.email,
            firstName: subject.name,
            lastName: subject.surname,
            semester: subject.semester
        };
    },
    transform(subject: StudentDTO, context: undefined): Student {
        return {
            albumNumber: subject.albumNumber,
            course: subject.course,
            email: subject.email,
            name: subject.firstName,
            semester: subject.semester,
            surname: subject.lastName
        };
    }
}
