import { StepIcon as MuiStepIcon, StepIconProps as MuiStepIconProps, Theme } from "@material-ui/core";
import React from "react";
import { TimerSand } from "mdi-material-ui";
import { createStyles, makeStyles } from "@material-ui/core/styles";

type StepIconProps = MuiStepIconProps & {
    waiting: boolean
}

const useStyles = makeStyles((theme: Theme) => createStyles({
    root: {
        color: theme.palette.primary.main
    }
}))

export const StepIcon = ({ waiting, ...props }: StepIconProps) => {
    const classes = useStyles();

    return waiting
        ? <TimerSand className={ classes.root }/>
        : <MuiStepIcon { ...props } />;
}
