import { DependencyList, EffectCallback, useEffect, useRef } from "react";

export const useUpdateEffect = (effect: EffectCallback, dependencies: DependencyList) => {
    const flag = useRef<boolean>(false);

    useEffect(() => {
        if (flag.current) {
            effect();
        } else {
            flag.current = true;
        }
    }, dependencies)
}

export default useUpdateEffect;
