import { Plan } from "@/data";
import {
    ReceiveSubmissionApproveAction,
    ReceiveSubmissionDeclineAction,
    ReceiveSubmissionUpdateAction,
    SaveSubmissionAction,
    SendSubmissionAction
} from "@/state/actions/submission";

export enum InternshipPlanActions {
    Send = "SEND_PLAN",
    Save = "SAVE_PLAN",
    Approve = "RECEIVE_PLAN_APPROVE",
    Decline = "RECEIVE_PLAN_DECLINE",
    Receive = "RECEIVE_PLAN_STATE",
}

export interface SendPlanAction extends SendSubmissionAction<InternshipPlanActions.Send> {
    plan: Plan;
}

export interface ReceivePlanApproveAction extends ReceiveSubmissionApproveAction<InternshipPlanActions.Approve> {
}

export interface ReceivePlanDeclineAction extends ReceiveSubmissionDeclineAction<InternshipPlanActions.Decline> {
}

export interface ReceivePlanUpdateAction extends ReceiveSubmissionUpdateAction<InternshipPlanActions.Receive> {
}

export interface SavePlanAction extends SaveSubmissionAction<InternshipPlanActions.Save> {
    plan: Plan;
}

export type InternshipPlanAction
    = SendPlanAction
    | SavePlanAction
    | ReceivePlanApproveAction
    | ReceivePlanDeclineAction
    | ReceivePlanUpdateAction;
