import { Internship } from "@/data";
import {
    ReceiveSubmissionApproveAction,
    ReceiveSubmissionDeclineAction,
    ReceiveSubmissionUpdateAction,
    SaveSubmissionAction,
    SendSubmissionAction
} from "@/state/actions/submission";

export enum InternshipProposalActions {
    Send = "SEND_PROPOSAL",
    Save = "SAVE_PROPOSAL",
    Approve = "RECEIVE_PROPOSAL_APPROVE",
    Decline = "RECEIVE_PROPOSAL_DECLINE",
    Receive = "RECEIVE_PROPOSAL_STATE",
}

export interface SendProposalAction extends SendSubmissionAction<InternshipProposalActions.Send> {
    internship: Internship;
}

export interface ReceiveProposalApproveAction extends ReceiveSubmissionApproveAction<InternshipProposalActions.Approve> {
}

export interface ReceiveProposalDeclineAction extends ReceiveSubmissionDeclineAction<InternshipProposalActions.Decline> {
}

export interface ReceiveProposalUpdateAction extends ReceiveSubmissionUpdateAction<InternshipProposalActions.Receive> {
}

export interface SaveProposalAction extends SaveSubmissionAction<InternshipProposalActions.Save> {
    internship: Internship;
}

export type InternshipProposalAction
    = SendProposalAction
    | SaveProposalAction
    | ReceiveProposalApproveAction
    | ReceiveProposalDeclineAction
    | ReceiveProposalUpdateAction;
