import { SettingActions, SettingsAction } from "@/state/actions/settings";

export type Locale = "pl" | "en"

export type SettingsState = {
    locale: Locale
}

const defaultSettingsState: SettingsState = {
    locale: "pl",
}

const settingsReducer = (state: SettingsState = defaultSettingsState, action: SettingsAction): SettingsState => {
    switch (action.type) {
        case SettingActions.SetLocale:
            return { ...state, locale: action.locale }
        default:
            return state;
    }
}

export default settingsReducer;

export const getLocale = (state: SettingsState): Locale => state.locale;
