import { UserAction, UserActions } from "@/state/actions/user";

export type UserState = {
    loggedIn: boolean;
    token?: string;
}

const initialUserState: UserState = {
    loggedIn: false,
}

const userReducer = (state: UserState = initialUserState, action: UserAction): UserState => {
    switch (action.type) {
        case UserActions.Login:
            return {
                ...state,
                loggedIn: true,
                token: action.token,
            }

        case UserActions.Logout:
            return {
                loggedIn: false
            };
    }

    return state;
}

export default userReducer;
